#programa : Scaneo1.py
#autor : jorge nolasco valenzuela
#fecha : 01-09-2017
"""
descripcion : este programa muestra
el uso de ping
"""
import os
from datetime import datetime
red = input("IP de la Red :")
red1= red.split(".")
net2 = red1[0]+"."+red1[1]+"."+red1[2]+"."
st1 = int(input("Primer Numero de la Red :"))
en1 = int(input("Ultimo Numero de la Red :"))
en1=en1+1
ping1 = "ping -n 1 "
inicio= datetime.now()
print("Scaneo....")
for ip in range(st1,en1):
    addr = net2+str(ip)
    comm = ping1+addr
    response = os.popen(comm)
    for line in response.readlines():
        if(line.count("TTL")):
            break
    if (line.count("TTL")):
        print(addr, " :Activos")
fin= datetime.now()
total =fin-inicio
print("Finalizacion del Scaneo en  " , total)